com.sun.jna.platform.win32.COM

## Class Wbemcli.IWbemServices

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.Wbemcli.IWbemServices

All Implemented Interfaces:
  NativeMapped, IUnknown

Enclosing interface:
  Wbemcli

    public static class Wbemcli.IWbemServices
    extends Unknown

Used by clients and providers to access WMI services. The interface is implemented by WMI and WMI providers, and is the primary WMI interface.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

`Unknown.ByReference`

### Field Summary

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`IWbemServices()`
`IWbemServices(Pointer pvInstance)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Wbemcli.IEnumWbemClassObject` `ExecQuery(java.lang.String strQueryLanguage, java.lang.String strQuery, int lFlags, Wbemcli.IWbemContext pCtx)`
`WinNT.HRESULT` `ExecQuery(WTypes.BSTR strQueryLanguage, WTypes.BSTR strQuery, int lFlags, Wbemcli.IWbemContext pCtx, PointerByReference ppEnum)`
`Wbemcli.IWbemClassObject` `GetObject(java.lang.String strObjectPath, int lFlags, Wbemcli.IWbemContext pCtx)`
`WinNT.HRESULT` `GetObject(WTypes.BSTR strObjectPath, int lFlags, Wbemcli.IWbemContext pCtx, PointerByReference ppObject, PointerByReference ppCallResult)`

### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

`AddRef, QueryInterface, Release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IWbemServices

    public IWbemServices()

#### IWbemServices

    public IWbemServices(Pointer pvInstance)

### Method Detail

#### ExecQuery

    public WinNT.HRESULT ExecQuery(WTypes.BSTR strQueryLanguage,
                                   WTypes.BSTR strQuery,
                                   int lFlags,
                                   Wbemcli.IWbemContext pCtx,
                                   PointerByReference ppEnum)

#### ExecQuery

    public Wbemcli.IEnumWbemClassObject ExecQuery(java.lang.String strQueryLanguage,
                                                  java.lang.String strQuery,
                                                  int lFlags,
                                                  Wbemcli.IWbemContext pCtx)

#### GetObject

    public WinNT.HRESULT GetObject(WTypes.BSTR strObjectPath,
                                   int lFlags,
                                   Wbemcli.IWbemContext pCtx,
                                   PointerByReference ppObject,
                                   PointerByReference ppCallResult)

#### GetObject

    public Wbemcli.IWbemClassObject GetObject(java.lang.String strObjectPath,
                                              int lFlags,
                                              Wbemcli.IWbemContext pCtx)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.